1. Authenticate
PressOne eSIM Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • User journeys
      • Top-up Journey
      • Purchase Journey
    • Guides
      • eSIM installation methods for API Partners
      • How to generate the QR code for an eSIM
  • REST API
    • Data / Data + Voice + SMS eSIM
      • Introduction
      • Error handling
      • Endpoints
        • Authenticate
          • Get token information
            GET
          • Refresh access token
            POST
          • Request access token
            POST
        • Check balance
          • Get balance
        • Compatible devices
          • Get compatible device lite list
        • Browse packages
          • Get packages
        • Place order
          • Submit order
        • Manage orders
          • Get order list
          • Get order
        • Manage eSIMs
          • Get eSIM by ICCID
          • Get eSIMs list
          • Get eSIM package history
        • Install eSIM
          • Get installation instructions
        • Monitor usage
          • Get usage (data, text & voice)
        • Place top up order
          • Get top-up package list
          • Submit top-up order
    • Voice-only eSIM
      • Getting Started
      • Error handling
      • Endpoints
        • List Available Numbers
        • Claim Number
        • Renew Number
        • List User
    • SMS
      • Introduction
      • Authentication
      • Conventions
        • Response envelope
        • Errors
        • Rate limits
        • Idempotency
        • Date ranges & timezone
        • Pagination
      • Endpoints
        • Send an SMS
          • Send SMS /api/sms/send
        • List message logs
          • List message logs /api/sms/logs
        • Get statistics
          • Get statistics /api/sms/statistics
        • Export logs (CSV)
          • Export logs (CSV) /api/sms/export
        • Analytics
          • Overview
            • Overview /api/sms/analytics/overview
          • Message volume
            • Message volume /api/sms/analytics/message-volume
          • Delivery status distribution
            • Delivery status distribution /api/sms/analytics/delivery-status
          • Delivery report
            • Delivery report - /api/sms/analytics/delivery-report
        • Check wallet balance
          • Check wallet balance /api/sms/balance
        • Send an OTP
          • Send an OTP /api/sms/otp/send
        • Verify an OTP
          • Verify an OTP /api/sms/otp/verify
      • Delivery webhooks
        • Delivery webhooks
      • Message lifecycle & statuses
        • Message lifecycle & statuses
      • Appendix: message object
        • Appendix: message object
  1. Authenticate

Request access token

POST
/customer/v2/token
This endpoint provides an access token required for making authenticated requests to the PressOne eSIM API. Submit your client ID and client secret to obtain a token valid for 24 hours. While the token remains valid for a year, we recommend refreshing it more frequently for enhanced security.

Important Notes#

The response contains the access token, which must be cached and reused for subsequent API calls until it expires or is refreshed.
Store the client ID and client secret securely in an encrypted format on your systems.
All actions performed using these credentials will be considered valid transactions, and the partner will be responsible for any associated costs.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201Request Access Token (200)
application/json
Bodyapplication/json

🟠422Request Access Token (422)
🟠401Request Access Token (401)
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/customer/v2/token' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "client_id": "{{your-client-id}}",
  "client_secret": "{{your-api-key}}",
  "grant_type": "client_credentials"
}'
Response Response Example
201 - Request Access Token (201)
{
    "data": {
        "token_type": "Bearer",
        "expires_in": 86400,
        "access_token": "<access token>"
    },
    "meta": {
        "message": "success"
    }
}
Modified at 2026-06-23 20:18:57
Previous
Refresh access token
Next
Check balance
Built with